package com.cf.imes.module.executor.enums;

import com.cf.imes.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * cad图纸的板件范围
 *
 * @author Gqr
 * @since 2025/12/26 9:28
 */
@RequiredArgsConstructor
@Getter
public enum OrderCadViewPlateRangeEnum implements IntArrayValuable {
    BODY(0),
    GROUP(1),
    GROUP_WITH_BODY(2);

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(OrderCadViewPlateRangeEnum::getRange).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }

    /**
     * 范围
     */
    private final Integer range;
}
